qq_34962309
Nico_Hu
采纳率50%
2018-10-09 11:26

xp系统部署asp.net webform应用程序 要安装哪个版本的iis?

5
已采纳

需要在一个xp系统的电脑上装 iis 部署一个webform 应用程序 链接access 数据库,根据网上提供的 方法是:xp好像只能安装5.1的iis (和iis6部署有区别 只能通过虚拟路径的方式添加到默认网站下面),部署成功后 xp本机是可以通过浏览器 访问到相关页面和access数据库 中的数据,
但是通过远程的ip方式访问 页面时会将页面文件下载,不是展示。

            iis 本机访问的时候 ajax 请求被拦截了?这是iis 的问题还是xp的问题?
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答

  • caozhy 回答这么多问题就耍赖把我的积分一笔勾销了 3年前

    XP是客户端操作系统,其中提供的IIS主要用来作为开发、测试、学习用途的,有连接数量限制。XP可以安装IIS 5.1,最高支持ASP.NET 4.0。要更新版本的IIS,需要更换操作系统。
    Windows Server 2003支持6.0,2008支持 7.0,2008R2支持7.5,2012支持8.0,2016支持10.0

    点赞 2 评论 复制链接分享